﻿
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
}


<style>
    .btn-group {
        width: 100%;
        max-width: 100%;
    }


    .multiselect-container {
        height: auto;
        max-height: 250px;
        overflow-y: scroll;
    }

    .btn-default {
        max-width: 100%;
        width: 100%;
    }

    .open > .dropdown-menu {
        width: 100%;
    }

    .delete_img_icon {
        position: absolute;
        cursor: pointer;
        z-index: 1;
        right: 0;
        background-color: #ed5565;
        width: 33px;
        display: flex;
        height: 32px;
        align-items: center;
        justify-content: center;
        font-size: 24px;
        color: #ffffff;
    }

    .multiselect-wrapper .multiselect-list.active {
        z-index: 5;
    }

    .edit_img_icon {
        position: absolute;
        cursor: pointer;
        z-index: 1;
        left: 0;
        background-color: #48BCB4;
        width: 33px;
        display: flex;
        height: 32px;
        align-items: center;
        justify-content: center;
        font-size: 24px;
        color: #ffffff;
    }

    .example4 {
        width: 100%;
        height: 300px;
    }

    .dropdowndiv {
        border-radius: 15px;
        float: left;
        height: 40px;
        margin-right: 4px;
        width: 40px;
    }

    .namespan {
        padding-right: 3px;
        margin-top: 3px;
        display: inline-block;
        cursor: pointer;
    }

    #btn_AddArts {
        float: right;
        margin-top: -40px;
        margin-right: 20px;
    }

    input, select, textarea {
        max-width: 100% !important;
    }

    .modal-header .close {
        margin-top: -20px !important;
    }

    .caret {
        margin: 8px;
    }

    .multiselect_head {
        white-space: nowrap;
        width: 50px;
        overflow: hidden;
        text-overflow: clip;
        width: 95%;
        text-align: center;
    }

    .multiselect.dropdown-toggle.btn.btn-default {
        white-space: nowrap;
        width: 100%;
        overflow: hidden;
        text-overflow: clip;
        max-width: 100%;
        text-align: left;
        display: flex;
        justify-content: center;
    }

    .multiselect-selected-text {
        margin-right: 8px;
    }

    .pr-0 {
        padding-right: 0 !important;
    }

    .pl-0 {
        padding-left: 0 !important;
    }

    .mr-0 {
        margin-right: 0 !important;
    }

    .ml-0 {
        margin-left: 0 !important;
    }

    .pad_12 {
        padding: 0px 12px;
    }

    .mb_3 {
        margin-bottom: 6px !important;
    }

    .alfaFClass {
        padding: 0 0 10px 34px;
        margin-top: -21px;
        width: auto;
    }

    .charclass {
        border: 1px solid gray;
        padding: 0px 7px 0px 5px;
        border-radius: 3px;
        font-size: 15px;
        margin-right: 10px;
        cursor: pointer;
        background: #eaeaea;
    }

    /*.custom_dropDiv {
        margin-top: -27px;
    }*/

    .dropdown_custom {
        width: 76%;
        margin-left: -13px;
        height: 30px;
        border-radius: 4px;
        padding: 5px;
    }

    #startdiv .k-datetimepicker {
        width: 100% !important;
    }

    #enddiv .k-datetimepicker {
        width: 65% !important;
        margin-bottom: 7px;
    }

    .k-autocomplete {
        width: 88% !important;
        left: 1.3% !important;
        margin-bottom: 1%;
    }
</style>
<link href="~/Content/multiselect.css" rel="stylesheet" />

<section class="wrapper site-min-height">


    <ol class="arrows">
        <li>
            <i class="fa fa-dashboard"></i>
            @if (ViewContext.RouteData.Values["controller"].ToString() != "Home")
            {
                @Html.ActionLink(ViewContext.RouteData.Values["controller"].ToString(), "Index", ViewContext.RouteData.Values["controller"].ToString())
            }
        </li>
    </ol>
    <div class="row">
        <h3 style="margin-left:10px"> Dashboard</h3>
        <h3></h3>
        <button id="btn_AddArts" type="button" onclick="Getlocation()" class="btn btn-theme">
            Add Arts
        </button>
    </div>
    <hr>
    <br />
    <div class="row">
        <div class="col-sm-12">
            <div class="alfaFClass col-sm-12" id="AFilterBody"></div>

        </div>

    </div>

    <div class="row">
        <div class="col-sm-12">
            <div class="col-sm-3" id="startdiv">
                <span>Start Date</span>
                <input id="StartDt" type="text" />
            </div>
            <div class="col-sm-3" id="enddiv">
                <span>End Date</span>
                <input id="EndDt" type="text" />
            </div>
            <div class="col-sm-4" id="enddiv">
                <div class="col-sm-12"><input id="nearestLocation" style="width: 100%;" />
                   

</div>
            </div>
            <div class="custom_dropDiv col-sm-2">
                <select id="mostDropdown" class="dropdown_custom" onchange="SelectMost();">
                    <option value="0">Sort by</option>
                    <option value="comments">Most Favourited</option>
                    <option value="comments">Most Comments</option>
                    <option value="liked">Most Liked</option>
                    <option value="visited">Most Visited</option>

                </select>
            </div>
        </div>
    </div></br>
    <div class="row">
        <div class="col-md-12">
            <div class="col-md-3" id="artdiv">
                <select id="Filter_ArtName" class="form-control select.form-control" multiple="multiple"></select>
            </div>
            <div class="col-md-3" id="Userdiv">
                <select id="Filter_UserWise" class="form-control select.form-control" multiple="multiple"></select>
            </div>
            <div class="col-md-2" id="artStausDiv">
                <select id="Filter_ArtStatus" class="form-control select.form-control" multiple="multiple">
                    <option value="0">Approved</option>
                    <option value="1">Pending </option>
                    <option value="2">Issue</option>
                    <option value="3">Rejected</option>
                    <option value="4">Deleted</option>
                </select>
            </div>
            <div class="col-md-2" id="artAgeDiv">
                <select id="Filter_ArtAge" class="form-control select.form-control" multiple="multiple">

                    <option value="1">1 Year</option>
                    <option value="2">6 Months to 1 Year</option>
                    <option value="3">Up to 6 Months</option>

                </select>
            </div>
            <div class="col-md-2">
                <button type="button" class="btn btn-large btn-primary" id="FilterBTN" onclick="FilterData();">Filter</button>
                <button type="button" class="btn btn-large btn-primary" id="ClearBTN" onclick="ClearrData();">Clear </button>
            </div>
        </div>
    </div>
    <div class='row mt mb mr-0 ml-0' id="binddata">
    </div>
    <div class="row mt mb center" style="text-align: center;">
        <div class="form-send">
            <button type="submit" class="btn btn-large btn-primary" id="MoreBTN" onclick="getArtData(1);">More Art</button>
        </div>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Art</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">X</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="form-group">
                            <label for="artist_name">Select Art Images</label>
                            <input type="file" id="upload_file" accept="image/*" onchange="ValidateSize(this)" multiple />
                        </div>
                        <div class="form-group">
                            <label for="artist_name">Artist's</label>
                            <input type="text" class="form-control" id="artist_name" maxlength="50" placeholder="Name / Tag">
                        </div>
                        <div class="form-group">
                            <label for="artist_name">How likely is the artwork to remain?</label>
                            <select id="drop_ArtAge" class="form-control select.form-control">
                                <option value="0">--Select--</option>
                                <option value="1">1 Year</option>
                                <option value="2">6 Months to 1 Year</option>
                                <option value="2">Up to 6 Months</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="artist_address">Artist Address</label>
                            <input type="text" class="form-control" id="artist_address" maxlength="200" placeholder="Enter artist address">
                        </div>
                        <div class="form-group">
                            <label for="artist_info">Artist Information</label>
                            <textarea id="artist_info" rows="3" cols="33" maxlength="500" class="form-control" style="background-color: #ffffff;"></textarea>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" onclick="ArtWorkImageUpload();">Save changes</button>
                </div>
            </div>
        </div>
    </div>
</section>
<link href="~/Content/Site.css" rel="stylesheet" />
<script src="https://kendo.cdn.telerik.com/2019.3.1023/js/jquery.min.js"></script>
<script src="https://kendo.cdn.telerik.com/2019.3.1023/js/kendo.all.min.js"></script>
<link rel="stylesheet" href="https://kendo.cdn.telerik.com/2019.3.1023/styles/kendo.default-v2.min.css" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/js/bootstrap-multiselect.js"></script>

<script type="text/javascript" src="https://tarruda.github.io/bootstrap-datetimepicker/assets/js/bootstrap-datetimepicker.min.js"></script>
<link rel="stylesheet" type="text/css" media="screen" href="https://tarruda.github.io/bootstrap-datetimepicker/assets/css/bootstrap-datetimepicker.min.css">
<link rel="stylesheet" type="text/css" media="screen" href="https://www.malot.fr/bootstrap-datetimepicker/bootstrap-datetimepicker/css/bootstrap-datetimepicker.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css">



<script>
    var sr_artist = null;
    var sr_Age = null;
    var sr_Status = null;
    var sr_UserList = null;
    var sr_StartDate = null;
    var sr_EndDate = null;
    var searchartdata = "";
    var indexval = 0;
    var imagespath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]';
    var latitude = "23.0225";
    var longitude = "72.5714";
    function Getlocation() {
        if (latitude == "") {
           // getLocationdata();
        }
        $('#exampleModal').modal('show');
    }
    function getLocationdata() {
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(showPosition);
            $('#exampleModal').modal('show');
        } else {
            alert("Geolocation is not supported by this browser.");
            return;
        }
        $("#exampleModal").modal("show");
    }
    var lastfilterAlfa = "";
    function AFilterBind() {
        var html = "";
        for (i = 0; i < 26; i++) {
            var character = (i + 10).toString(36).toString();
            character = character.toUpperCase();
            html = html + '<a id="_cf_' + character+'" onclick="selectCharfilter(\''+character+'\')" class="charclass" value=' + character + '>' + character + '</a>';

        }
        $("#AFilterBody").empty();
        $("#AFilterBody").append(html);
    }
    var MoreBtnCHECK = "0";
    function selectCharfilter(stringval) {
        debugger;
        $("#_cf_" + stringval).attr("style", "background: gray;color:white;");
        if (lastfilterAlfa != stringval) {
            indexval = 0; $("#binddata").empty();
            $("#_cf_" + lastfilterAlfa).attr("style", "background: #eaeaea;color:#5c93cb;");
            lastfilterAlfa = stringval
            localStorage.setItem("selectChar", lastfilterAlfa);
            var data1 = {
                Index: indexval,
                artist: stringval,
                Age: "",
                Status: "8",
                UserList: ""
            }
            $('#pageload').show();
            $.ajax({
                type: "POST",
                async: false,
                dataType: "json",
                url: '@Url.Action("DashboardFilter", "Dashboard",new { area = "Admin"})',
                data: data1,
                success: function (data) {
                    if (data.status == "success") {
                        var model = data.data;
                        MoreBtnCHECK = "1";
                        bindModal(model, 0);
                    }
                }
            });
        } else {
            lastfilterAlfa = "";
            indexval = 0; $("#binddata").empty();
            FilterData();
            $("#_cf_" + stringval).attr("style", "background:#eaeaea; ;color:#428bca;");
        }
        
        $('#pageload').hide();
    }
    @*function comonAjaxCall(data1) {
        $('#pageload').show();
        try {
            $.ajax({
                type: "POST",
                async: false,
                dataType: "json",
                url: '@Url.Action("DashboardFilter", "Dashboard",new { area = "Admin"})',
                data: data1,
                success: function (data) {
                    if (data.status == "success") {
                        var model = data.data;
                        MoreBtnCHECK = "1";
                        bindModal(model, 0);
                    }
                }
            });
        } catch (e) {
            $('#pageload').hide();
            alert(e)
        }
        $('#pageload').hide();
    }*@
    var mostFilterTmp = "";
    function SelectMost() {
        var mostFilter = $("#mostDropdown").val();
        if (mostFilterTmp != mostFilter) {
            indexval = 0; $("#binddata").empty();
        }
        if (mostFilter != "0") {
            var data1 = {
                Index: indexval,
                artist: mostFilter,
                Age: "",
                Status: "9",
                UserList: ""
            }
            mostFilterTmp = mostFilter;
           $('#pageload').show();
            $.ajax({
                type: "POST",
                async: false,
                dataType: "json",
                url: '@Url.Action("DashboardFilter", "Dashboard",new { area = "Admin"})',
                data: data1,
                success: function (data) {
                    if (data.status == "success") {
                        var model = data.data;
                        MoreBtnCHECK = "1";
                        bindModal(model, 0);
                    }
                }
            });
        $('#pageload').hide();
        } else {
            MoreBtnCHECK = 0;
            getArtData(0);
        }
    }
    function showPosition(position) {
        latitude = position.coords.latitude;
        longitude = position.coords.longitude;
    }
    function ClearrData() {
        $("#artStausDiv .multiselect-container input:checkbox").removeAttr('checked')
        $("#artdiv .multiselect-container input:checkbox").removeAttr('checked')
        $("#artStausDiv .multiselect-container input:checkbox").removeAttr('checked')
        $("#artAgeDiv .multiselect-container input:checkbox").removeAttr('checked')
        $("#Userdiv .multiselect-container input:checkbox").removeAttr('checked')
        $("#artdiv .multiselect-selected-text").text("Artist Name")
        $("#artStausDiv .multiselect-selected-text").text("Status")
        $("#artAgeDiv .multiselect-selected-text").text("Vulnerability")
        $("#Userdiv .multiselect-selected-text").text("User Name")
        $("#artdiv .multiselect-container.dropdown-menu li").removeClass('active')
        $("#artStausDiv .multiselect-container.dropdown-menu li").removeClass('active')
        $("#artAgeDiv .multiselect-container.dropdown-menu li").removeClass('active')
        $("#Userdiv .multiselect-container.dropdown-menu li").removeClass('active')
        var artname = $("#Filter_ArtName").val();
        var artAge = $("#Filter_ArtAge").val();
        var artstatus = $("#Filter_ArtStatus").val();
        var UserName = $("#Filter_UserWise").val();

        if (artname != 0 || artstatus != -1 || artAge != 0 || UserName != 0) {
            $("#Filter_ArtName").val(0);
            $("#Filter_ArtStatus").val(-1);
            $("#Filter_ArtAge").val(0);
            $("#Filter_UserWise").val(0);
            $("#StartDt").val("");
            $("#EndDt").val("");
            FilterData();
        }
    }
    $(document).ready(function () {
        var EditArtByID = localStorage.getItem("EditArtByID");
        if (EditArtByID == "Y") {
            localStorage.setItem("EditArtByID", "");
            location.reload();
        }
        artistlist();
        Locationlist();
        AFilterBind();

        $("#StartDt").kendoDatePicker({
            value: new Date(),
            dateInput: true,
            format: "dd/MM/yyyy",
            parseFormats: ["dd/MM/yyyy"]
        });
        $("#EndDt").kendoDatePicker({
            value: new Date(),
            dateInput: true,
            format: "dd/MM/yyyy",
            parseFormats: ["dd/MM/yyyy"]
        });
        $("#StartDt").val('');
        $("#EndDt").val('');
       
        $("#nearestLocation").kendoAutoComplete({
            dataSource: Data_NearestLoc,
            filter: "startswith",
            placeholder: "Select Near Location...",
            change: function (e) {
                var value = this.value();
                console.log(value);
            }
        });

        if (localStorage.getItem("EditArt")=="true") {
            sr_artist = localStorage.getItem("sr_artist") == "null" ? null : localStorage.getItem("sr_artist");
            sr_Age = localStorage.getItem("sr_Age")=="null"?null:localStorage.getItem("sr_Age");
            sr_Status = localStorage.getItem("sr_Status") == "null" ? null : localStorage.getItem("sr_Status");
            sr_UserList = localStorage.getItem("sr_UserList") == "null" ? null : localStorage.getItem("sr_UserList");
            indexval = localStorage.getItem("indexval") == "null" ? null : localStorage.getItem("indexval");
            if (localStorage.getItem("selectChar") != null) {
                var lastfilterAlfa1 = localStorage.getItem("selectChar");
                $("#_cf_" + lastfilterAlfa1).attr("style", "background: gray;color:white;");
                MoreBtnCHECK = "1";
                lastfilterAlfa = localStorage.getItem("selectChar");
            }
            searchartdata = localStorage.getItem("searchartdata");
            if (sr_artist != null) {
                $.each(sr_artist.split(","), function (i, e) {
                    $("#Filter_ArtName option[value='" + e + "']").prop("selected", true);
                });
            } if (sr_Age != null) {
                $.each(sr_Age.split(","), function (i, e) {
                    $("#Filter_ArtAge option[value='" + e + "']").prop("selected", true);
                });
            }
            if (sr_Status != null) {
                $.each(sr_Status.split(","), function (i, e) {
                    $("#Filter_ArtStatus option[value='" + e + "']").prop("selected", true);
                });
            }
            if (sr_UserList != null) {
                $.each(sr_UserList.split(","), function (i, e) {
                    $("#Filter_UserWise option[value='" + e + "']").prop("selected", true);
                });
            }
            $("#binddata").empty();
            $("#binddata").append(searchartdata);
            localStorage.setItem("EditArt", false);
            localStorage.removeItem("sr_artist");
            localStorage.removeItem("sr_Age");
            localStorage.removeItem("sr_Status");
            localStorage.removeItem("sr_UserList");
            localStorage.removeItem("indexval");
            localStorage.removeItem("searchartdata");
            localStorage.removeItem("selectChar");
        } else {
            FilterData()
        }
        $('#Filter_ArtName').multiselect({
            includeSelectAllOption: true,
            nonSelectedText: 'Artist Name'
        });
        $('#Filter_ArtStatus').multiselect({
            includeSelectAllOption: true,
            nonSelectedText: 'Status'
        });
        $('#Filter_ArtAge').multiselect({
            includeSelectAllOption: true,
            nonSelectedText: 'Vulnerability'
        });
        $('#Filter_UserWise').multiselect({
            includeSelectAllOption: true,
            nonSelectedText: 'User Name'
        });

        $("#artdiv .multiselect-selected-text").text("Artist Name")
        $("#artStausDiv .multiselect-selected-text").text("Status")
        $("#artAgeDiv .multiselect-selected-text").text("Vulnerability")
        $("#Userdiv .multiselect-selected-text").text("User Name")
        $("#Userdiv .multiselect-selected-text").addClass("multiselect_head")
        $("#artdiv .multiselect-selected-text").addClass("multiselect_head")
        $("#artStausDiv .multiselect-selected-text").addClass("multiselect_head")
        $("#artAgeDiv .multiselect-selected-text").addClass("multiselect_head")
    });
    function FilterData() {
        var ArtName = $("#Filter_ArtName").val();
        var dtstart = $("#StartDt").val().trim();
        if (dtstart == "Start Date") {
            dtstart = "";
        }
        var dtend = $("#EndDt").val().trim();
        if (dtend == "Start Date") {
            dtend = "";
        }
        sr_artist = ArtName;
        if (sr_artist != null) {
            sr_artist = sr_artist.toString();
        }
        sr_Age = $("#Filter_ArtAge").val();
        sr_Status = $("#Filter_ArtStatus").val();
        sr_UserList = $("#Filter_UserWise").val();
        sr_StartDate = $("#StartDt").val().trim();
        sr_EndDate = $("#EndDt").val().trim();
        if (sr_StartDate != "")
        {
            sr_StartDate= reformatDate(sr_StartDate);
        }
        if (sr_EndDate != "") {
            sr_EndDate = reformatDate(sr_EndDate);
        }
        if (sr_Age != null) {
            sr_Age = sr_Age.toString();
        }
        if (sr_UserList != null) {
            sr_UserList = sr_UserList.toString();
        }
        if (sr_Status != null) {

            sr_Status = sr_Status.toString();
        }
        $("#binddata").empty();
         searchartdata = "";
        indexval = 0;
        $("#_cf_" + lastfilterAlfa).attr("style", "background: #eaeaea;color:#5c93cb;");
        MoreBtnCHECK = 0;
        getArtData(0);
        if (indexval < 7) {
            $("#MoreBTN").hide();
        } else {
            $("#MoreBTN").show();
        }
    }
    var Data_NearestLoc1 = [];
    function Locationlist() {
        debugger;
        $('#pageload').show();
        $.ajax({
            type: "Get",
            async: false,
            dataType: 'json',
            url: '@Url.Action("GetLocationList", "Dashboard", new { area = "Admin"})',
            success: function (data) {
                if (data.status == true) {
                    debugger;
                    console.log(data.LocationList);

                    var arr = new Array();
                    $.each(data.LocationList, function (i, obj) {
                        arr.push(obj.Address)
                    });
                    Data_NearestLoc = arr;
                   
                }
                $('#pageload').hide();
            }, error: function (e) {
                $('#pageload').hide();
            }
        });
    }
    function artistlist() {
        $('#pageload').show();
        $.ajax({
            type: "Get",
            async: false,
            dataType: 'json',
            url: '@Url.Action("GetArtistList", "Dashboard", new { area = "Admin"})',
            success: function (data) {
                if (data.status == true) {
                    var Filter_ArtName = $("#Filter_ArtName").val();
                    var Filter_User = $("#Filter_UserWise").val();
                    var D_Option = '';
                    var D_Option1 = '';
                    if (data.data.length > 0) {
                        var artist = data.data;
                        for (var i = 0; i < artist.length; i++) {
                            if (artist[i].artw_arts_Name != "") {
                                D_Option = D_Option + '<option value="' + artist[i].artw_arts_Name + '" >' + artist[i].artw_arts_Name + '</option>';
                            }
                        }
                        $("#Filter_ArtName option").remove();
                        $("#Filter_ArtName").append(D_Option);
                    } else {
                        $("#Filter_ArtName option").remove();
                        $("#Filter_ArtName").append(D_Option);
                        $('#Filter_ArtName').multiselect({
                            includeSelectAllOption: true,
                        });
                    }
                    if (data.ActiveUsr.length > 0) {
                        var User = data.ActiveUsr;
                        for (var i = 0; i < User.length; i++) {
                            if (User[i].usr_UserId != 0) {
                                D_Option1 = D_Option1 + '<option value=' + User[i].usr_UserId + '>' + User[i].usr_UserName + '</option>';
                            }
                        }
                        $("#Filter_UserWise option").remove();
                        $("#Filter_UserWise").append(D_Option1);
                    } else {
                        $("#Filter_UserWise option").remove();
                        $("#Filter_UserWise").append(D_Option1);
                        $('#Filter_UserWise').multiselect({
                            includeSelectAllOption: true,
                        });
                    }
                }
                $('#pageload').hide();
            }, error: function (e) {
                $('#pageload').hide();
            }
        });
    }
    function detailArt(ArtId) {
        $('#pageload').show();
        $.ajax({
            type: "GET",
            dataType: 'json',
            url: '@Url.Action("GetArtWork", "Dashboard", new { area = "Admin"})',
            data: { Id: ArtId, User_Id: 0 },
            success: function (data) {
                if (data.status == "success") {
                    localStorage.setItem("EditArt", true);
                    localStorage.setItem("sr_artist", sr_artist);
                    localStorage.setItem("sr_Age", sr_Age);
                    localStorage.setItem("sr_Status", sr_Status);
                    localStorage.setItem("sr_UserList", sr_UserList);
                    localStorage.setItem("indexval", indexval);
                    localStorage.setItem("searchartdata", searchartdata);
                    localStorage.setItem("artw_id", data.data.artw_id);
                    localStorage.setItem("artw_Name", data.data.artw_Name);
                    localStorage.setItem("artw_image", data.data.artw_image);
                    localStorage.setItem("artw_arts_Name", data.data.artw_arts_Name);
                    localStorage.setItem("artw_Info", data.data.artw_Info);
                    localStorage.setItem("artw_size", data.data.artw_size);
                    localStorage.setItem("atrw_age", data.data.atrw_age);
                    localStorage.setItem("artw_latitude", data.data.artw_latitude);
                    localStorage.setItem("artw_longitude", data.data.artw_longitude);
                    localStorage.setItem("artw_address", data.data.artw_address);
                    localStorage.setItem("artw_status", data.data.artw_status);
                    localStorage.setItem("artw_statusNotes", data.data.artw_statusNotes);
                    window.location.href = '@Url.Action("EditArtWorkbyID","Dashboard")';
                    $('#pageload').hide();
                } else {
                    $('#pageload').hide();
                }
            }, error: function (error) {
                $('#pageload').hide();
            }
        });
    }
    function deleteart(ArtId) {
        swal({
            title: "Are you sure? ",
            text: "Once deleted, you will not be able to recover this Art!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        })
.then((willDelete) => {
    if (willDelete) {
        $.ajax({
            type: "POST",
            async: false,
            dataType: 'json',
            url: '@Url.Action("DeleteArt", "Dashboard", new { area = "Admin"})',
            data: { ArtId: ArtId },
            success: function (data) {
                if (data.status == true) {
                    swal(" Your Art  has been deleted!", {
                        icon: "success",
                    });
                }
                location.reload(true);
            }
        });
    } else {
        swal("Your Art  is safe!");
    }});
    }
    function ValidateSize(file) {
        if (file.files.length > 0) {
            for (var i = 0; i < file.files.length; i++) {
                var FileSize = file.files[i].size / 1024 / 1024; // in MB
                if (FileSize > 3) {
                    alert(file.files[i].name + ' File size exceeds 3 MB');
                    $("#upload_file").val("");
                } else {
                }
            }
        }
    }
    function ArtWorkImageUpload() {
        var files = $("#upload_file").get(0).files;
        var fileData = new FormData();
        if (files.length < 1) {
            alert("Please select Art Images.");
            return;
        }
        if ($("#artist_name").val().trim() == "") {
            alert("Please enter Name / Tag"); return;
        }
        if ($("#drop_ArtAge").val() == "0") {
            alert("Please select How likely is the artwork to remain?"); return;
        }
        if ($("#artist_address").val().trim() == "") {
            alert("Please enter Artist Address"); return;
        }
        $('#pageload').show();
        for (var i = 0; i < files.length; i++) {
            fileData.append("fileInput", files[i]);
        }
        fileData.append("artist_name", $("#artist_name").val());
        fileData.append("artist_address", $("#artist_address").val());
        fileData.append("artist_info", $("#artist_info").val());
        fileData.append("drop_ArtAge", $("#drop_ArtAge").val());
        fileData.append("latitude", latitude);
        fileData.append("longitude", longitude);
        $.ajax({
            type: "POST",
            async: false,
            dataType: 'json',
            contentType: false,
            processData: false,
            url: '@Url.Action("InsertArts", "Dashboard", new { area = "Admin"})',
            data: fileData,
            success: function (data) {
                if (data.status == "success") {
                    alert("save successfully.");
                    $('#pageload').hide();
                    location.reload(true);
                } else {
                    $('#pageload').hide();
                }
            }, error: function (error) {
                $('#pageload').hide();
            }
        });
    }
    function reformatDate(dateStr) {
        dArr = dateStr.split("/");
        return dArr[2] + "-" + dArr[1] + "-" + dArr[0].substring(0);
    }
    function getArtData(statuscall) {
        
        if (MoreBtnCHECK == "0") {
            var data1 = {
                Index: indexval,
                artist: sr_artist,
                Age: sr_Age,
                Status: sr_Status,
                StartDate: sr_StartDate,
                EndDate:sr_EndDate,
                UserList: sr_UserList
            }
            $('#pageload').show();
            try {
                $.ajax({
                    type: "POST",
                    async: false,
                    dataType: "json",
                    url: '@Url.Action("GetArtList", "Dashboard",new { area = "Admin"})',
                    data: data1,
                    success: function (data) {
                        if (data.status == "success") {
                            var model = data.data;
                            bindModal(model, statuscall);
                        }
                    }
                });
            } catch (e) {
                $('#pageload').hide();
                alert(e)
            }
            $('#pageload').hide();
        } else {
        $('#pageload').show();
            selectCharfilter(lastfilterAlfa);
        $('#pageload').hide();
     }
    }
    function bindModal(model, statuscall) {
        
        if (model.length > 0) {
            for (var i = 0; i < model.length; i++) {
                var newdata = '';
                var status = '';
                if (model[i].artw_status == 0) { status = 'Approved' } else if (model[i].artw_status == 1) { status = 'Pending' } else if (model[i].artw_status == 2) { status = 'Issue' } else if (model[i].artw_status == 3) { status = 'Rejected ' } else if (model[i].artw_status == 4) { status = 'Deleted ' }
                var artname = "";
                if (model[i].arts_name != null) {
                    artname = model[i].arts_name;
                }
                var artw_size = "";
                if (model[i].artw_size != null && model[i].artw_size!="")
                {
                    artw_size = model[i].artw_size;

                } else {
                    artw_size="N/A"
                }
                newdata = newdata + "<div class='col-lg-3 col-md-3 col-sm-3 col-xs-12 desc mb_3 pr-0 pl-0'> " +
                    "<div class='project-wrapper'> " +
                    "<div class='delete_img_icon' onclick=deleteart(" + model[i].artw_id + ");>" +
                    "<i class='fa fa-times' aria-hidden='true'></i>" +
                    "</div>" +
                    "<div class='edit_img_icon' onclick=detailArt(" + model[i].artw_id + ");>" +
                    "<i class='fa fa-info-circle' aria-hidden='true'></i>" +
                    "</div>" +
                    "<div class='project'> " +
                    "<div class='photo-wrapper'> " +
                    "<div class='photo'>" +
                    "<a class='fancybox' href='" + imagespath + "\\ArtWork\\" + model[i].artw_image + "'>" +
                    "<img class='example4 img-responsive' src= '" + imagespath + "\\thum_ArtWork_36\\" + model[i].artw_image + "' alt=''>" +
                    "</a>" +
                    "</div>" +
                    "<div class='overlay'></div>" +
                    "</div>" +
                    "</div>" +
                    "</div>" +
                    "<div class='row mt_3'  style='height: 75px;'>" +
                    "<div class='col-md-12 '>" +
                    "<div class='col-md-5 '>" +
                    //"<a href='#' onclick='GetartistDetail(" + model[i].artw_arts_id + ")'>" +
                    "<a  onclick='GetartistDetail(\"" + artname + "\")'>" +
                    "<span class=''>"
                    //  "<img  class='dropdowndiv' src='" + imagespath + "\\Artist\\" + model[i].arts_photo + "'>" +

                    + "<span class='alert-info namespan'>&nbsp;" + artname + "</span></span>" +

                    "</a>" +
                    "</div>" +
                    "<div class='col-md-7 '>" +
                    "<span class='alert-danger'>size:- " + artw_size + "</span>" +
                    //"<span class='alert-success'>Old:- " + model[i].atrw_age + "</span> <br/>" +

                    "</div>" +
                    "<div class='col-md-7 '>" +
                    "<span class='alert-success'>Status:- " + status + "</span>" +
                    "</div>" +
                    "</div>" +
                    "</div>"
                if (model[i].artw_status == 0) {
                    newdata = newdata + "<div class='row mt_3 pad_12'>" +
                        "<div class='col-md-6 btn_width'>" +
                        "<button type='button' class='btn btn-theme' onclick='ArtChangeStatus(" + model[i].artw_id + ",2);' >Issue</button>" +
                        "</div>" +
                        "<div class='col-md-6 text_right btn_width'>" +
                        "<button type='button' class='btn btn-theme04' onclick='ArtChangeStatus(" + model[i].artw_id + ",4);'>Delete</button>" +
                        "</div>" +
                        "</div></div>";
                } else if (model[i].artw_status == 1) {
                    newdata = newdata + "<div class='row mt_3 pad_12' >" +
                        "<div class='col-md-6 btn_width'>" +
                        "<button type='button' class='btn btn-theme' onclick='ArtChangeStatus(" + model[i].artw_id + ",0);'>Approve</button>" +
                        "</div>" +
                        "<div class='col-md-6 text_right btn_width'>" +
                        "<button type='button' class='btn btn-theme04' onclick='ArtChangeStatus(" + model[i].artw_id + ",3);'>Reject</button>" +
                        "</div>" +
                        "</div></div>";
                } else if (model[i].artw_status == 2) {

                    newdata = newdata + "<div class='row mt_3 pad_12'>" +
                        "<div class='col-md-6 btn_width'>" +
                        "<button type='button' class='btn btn-theme' onclick='ArtChangeStatus(" + model[i].artw_id + ",0);' >Approve</button>" +
                        "</div>" +
                        "<div class='col-md-6 text_right btn_width'>" +
                        "<button type='button' class='btn btn-theme04'  onclick='ArtChangeStatus(" + model[i].artw_id + ",3);'>Reject</button>" +
                        "</div>" +
                        "</div></div>";


                } else if (model[i].artw_status == 3) {

                    newdata = newdata + "<div class='row mt_3 pad_12'>" +
                        "<div class='col-md-6 btn_width'>" +
                        "<button type='button' class='btn btn-theme' onclick='ArtChangeStatus(" + model[i].artw_id + ",0);'>Approve</button>" +
                        "</div>" +
                        "<div class='col-md-6 text_right btn_width'>" +
                        "<button type='button' class='btn btn-theme04' onclick='ArtChangeStatus(" + model[i].artw_id + ",2);'>Issue</button>" +
                        "</div>" +
                        "</div></div>";

                } else {
                    newdata = newdata + "<div class='row mt_3 pad_12'>" +
                        "<div class='col-md-6 btn_width'>" +
                        "<button type='button' class='btn btn-theme' onclick='ArtChangeStatus(" + model[i].artw_id + ",0);'>Approve</button>" +
                        "</div>" +
                        "<div class='col-md-6 text_right btn_width'>" +
                        "<button type='button' class='btn btn-theme04' onclick='ArtChangeStatus(" + model[i].artw_id + ",2);'>Issue</button>" +
                        "</div>" +
                        "</div></div>";

                }
                indexval = indexval + 1;
                searchartdata = searchartdata + newdata;
                $("#binddata").append(newdata);
            }
            if (indexval % 4 != 0) {
                $("#MoreBTN").hide();
            }
        } else {
            $("#MoreBTN").hide();
            if (statuscall == 0) {
                var data1 = '<div style="text-align:center;"><h1>Oh no ! There are no results that match your filters</h1></div>'
                $("#binddata").empty();
                $("#binddata").append(data1);
            }
        }
    }
    function GetartistDetail(artistName) {
        var url = '@Url.Action("ArtistProfilePage", "Artist", new { area = "Admin"})';
        url += '?Name=' + artistName;
        window.location.href = url;
    }
    function ArtChangeStatus(artId, action) {
        var ArtAction = "";
        if (action == 4) {
            swal({
                title: "Are you sure? ",
                text: "Once deleted, you will not be able to recover this Art!",
                icon: "warning",
                buttons: true,
                dangerMode: true,
            })
.then((willDelete) => {
    if (willDelete) {

        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",
            url: '@Url.Action("ArtActionChange", "Dashboard",new { area = "Admin"})',
            data: { ArtID: artId, Action: action },
            success: function (data) {
                if (data.status == true) {
                    swal("Status  changed successfully", {
                        icon: "success",
                    });
                    location.reload(true);
                }
            }
        });
    } else {
        swal("Your Art  is safe!");
    }
});

        } else {
            $.ajax({
                type: "POST",
                async: false,
                dataType: "json",
                url: '@Url.Action("ArtActionChange", "Dashboard",new { area = "Admin"})',
                data: { ArtID: artId, Action: action },
                success: function (data) {
                    if (data.status == true) {
                        swal("Status  changed successfully", {
                            icon: "success",
                        });
                        location.reload(true);
                    }
                }
            });
        }
    }
    $("#artist_name").keypress(function (event) {
        return blockSpecialChar1(event);
    });
    function blockSpecialChar1(e) {
        var k;
        document.all ? k = e.keyCode : k = e.which;
        if (k == 32) {
            if ($("#artist_name").val().trim() == "") {
                return false;
            }
        }
        return ((k > 64 && k < 91) || (k > 94 && k < 123) || k == 4 || k == 8 || k == 32);
    }

    var Data_NearestLoc = [
        "Albania",
        "Andorra",
        "Armenia",
        "Austria",
        "Azerbaijan",
        "Belarus",
        "Belgium",
        "Bosnia & Herzegovina",
        "Bulgaria",
        "Croatia",
        "Cyprus",
        "Czech Republic",
        "Denmark",
        "Estonia",
        "Finland",
        "France",
        "Georgia",
        "Germany",
        "Greece",
        "Hungary",
        "Iceland",
        "Ireland",
        "Italy",
        "Kosovo",
        "Latvia",
        "Liechtenstein",
        "Lithuania",
        "Luxembourg",
        "Macedonia",
        "Malta",
        "Moldova",
        "Monaco",
        "Montenegro",
        "Netherlands",
        "Norway",
        "Poland",
        "Portugal",
        "Romania",
        "Russia",
        "San Marino",
        "Serbia",
        "Slovakia",
        "Slovenia",
        "Spain",
        "Sweden",
        "Switzerland",
        "Turkey",
        "Ukraine",
        "United Kingdom",
        "Vatican City"
    ];

</script>
